<template>
    <div class="container">
        <div v-bind:class="{ succmsg: succmsg }">
            <div class="col-md-12 col-lg-12">
                <div class="alert alert-success">Data inserted successfully</div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-7 com-lg-7  offset-md-3">
                <form method = "post" name="addpostagem" id="addpostagem" action="#" enctype="multipart/form-data" @submit.prevent="addPostagem">
                    <div class="form-group">
                        <label for="titulo">Title</label>
                        <input type="text" name="titulo" id="titulo" class="form-control" placeholder="Titulo" v-model="postagem.titulo"/>
                        {{ postagem.titulo }}
                    </div>
                    <div class="form-group">
                        <label for="postagem_content">Postagem</label>
                        <textarea name="postagem_content" id="postagem_content" class="form-control" placeholder="Postagem" v-model="postagem.postagem_content"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="autor">Autor</label>
                        <select class="form-control" name="autor" id="autor" v-model="postagem.autor">
                            <option value="Autor_01">Autor_01</option>
                            <option value="Autor_02">Autor_02</option>
                            <option value="Autor_03">Autor_03</option>
                        </select>
                    </div>
                    <div class="form-group text-right">
                        <button class="btn btn-success">Salvar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</template>
<script>

    export default {
        data() {
            return {
                postagem: {
                    'titulo': '',
                    'postagem_content': '',
                    'autor': ''
                },
                succmsg:  true,
            }
        },
        methods: {
            addPostagem() {
                this.$http.post('http://127.0.0.1:8000/api/postagens',{
                    'titulo': this.postagem.titulo,
                    'postagem_content': this.postagem.postagem_content,
                    'autor': this.postagem.autor
                }).
                then((data) => {
                    this.succmsg = false;
                    console.log(data);
                    this.postagem.titulo = '';
                    this.postagem.postagem_content = '';
                    this.postagem.autor = '';
                    var self = this;
                    setTimeout(function(){
                        self.succmsg = true;
                    },3000);
                });
            }

        },
        computed: {
        },
        mounted() {
            console.log('Component mounted.')
        }
    }
</script>
<style scoped>
    .succmsg {
        display: none;
    }
</style>
